var configure = require('coaxlink://configurator.js');

function fpsToMicroseconds(fps) {
    return 1e6 / fps;
}

var parameters = {
    OperatingMode:              "RG",
    // Camera Model
    ExposureReadoutOverlap:     true,
    ExposureRecoveryTime:       1000,
    // Cycle Timing
    ExposureTime:               5500,
    StrobeDuration:             1000,
    StrobeDelay:                100,
    // Cycle Control
    CycleTriggerSource:         "Immediate",
    CycleTargetPeriod:          fpsToMicroseconds(20)
};

configure(grabbers[0], parameters);
